Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Interface SchemaComponentVisitor

    public interface SchemaComponentVisitor

Interface for a general purpose visitor object used to process schema components

Method Summary
`void` | `visitSchemaComponent(SchemaComponent component)`

Method Detail

### visitSchemaComponent

    void visitSchemaComponent(SchemaComponent component)
                              throws XPathException

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.